
#include "common.h"

#define TAB_WIDTH 30


void lcd_init();
void lcd_contrast(uint8_t contr);
void lcd_prp(uint8_t p);
void lcd_chh(uint8_t h);
void lcd_pen(uint8_t p);
void lcd_clr(void);
void lcd_pos(unsigned char x, unsigned char y);
void lcd_set_bold(unsigned char b);
void lcd_txtbox(unsigned char xmax, unsigned char ymax);
void lcd_rect(unsigned char w, unsigned char h);
void lcd_frect(unsigned char w, unsigned char h, unsigned char p);
void lcd_lineto(unsigned char x, unsigned char y);
uchar lcd_char(unsigned char c);
char* lcd_str(char* s);
void lcd_pstr(PGM_P s);
void lcd_bm(unsigned char* bm);
uint8_t lcd_bm_w(unsigned char* bm);
uint8_t lcd_bm_h(unsigned char* bm);
uchar lcd_strw(char* s);
